List Transforms – Media API – MediaKind
List Transforms
get https://app.mk.io/api/v1/projects/:project_name/media/transforms
Listing, Sorting and Filtering Transforms
This endpoint returns the list of transforms in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/lastModified, updated, updatedBy
Filtering
The $filter query parameter allows for transforms to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/lastModified, updated, updatedBy, updatedByEmail, updatedByName
Examples:
?$top=10 - Returns only the first 10 transforms from the list.
?$orderby=name desc - Sorts transforms by name in descending order.
?$filter=name eq 'descriptive name' - Returns transforms that match the provided name.
?$orderby=created desc - Sorts transforms by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns transforms created after January 1, 2021.
RBAC Capability Required: ams.transform.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_name string Required
Query parameters
$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.
Response
200 A list of transforms
@odata.nextLink string Optional
@odata.nextLink URL if the page length and number of items match.
supplemental object ListResponseSupplementalSchema Required
Supplemental info
count integer Required
Number of items returned
kind string Required
Type of items in the list
operation string Required. Should always say 'list'
pagination object PaginationInfoSchema Required
Pagination info
end integer Required
Position of the last item in the list
records integer Required
Total number of items returned in the list
start integer Required
Position of the first item in the list
total integer Required
Total number of items in the project
subscription object ProjectInfoSchema Optional
Project info
id string Required
Project ID
name string Required
Project name
value list of objects TransformSchema Required
A list of Transforms
id string Optional
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
name string Optional 1-260 characters pattern: ^[^\'<>%&:\?/*+]+$
The name of the resource
properties object TransformProperties Required
The properties of the Transform
created string Optional format: date-time
The creation date and time of the Transform. Set by the system.
description string Optional <=1024 characters
The description of the Transform.
lastModified string Optional format: date-time
The last modified date and time of the Transform. Set by the system.
outputs list of objects TransformOutput Required
An array of TransformOutputs that the Transform should generate. Currently limited to one.
onError enum Optional
Defines what the service should do when one output fails. Continue to produce other outputs, or stop processing.
Allowed values: ContinueJob StopProcessingJob
preset object Required
Preset that describes the operations that will be used to modify, transcode, or extract insights from the source file to generate the output.
@odata.type string Required
The discriminator for derived types.
advancedSettingsName string Optional
Name of the advanced settings configuration to apply to this transform's config. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
presetName string Required
The built-in preset to be used for encoding videos. Options include:
- H264SingleBitrateSD
- H264SingleBitrate720p
- H264SingleBitrate1080p
- H264MultipleBitrateSD
- H264MultipleBitrate720p
- H264MultipleBitrate1080p
- H264MultipleBitrateSDWithCVQ
- H264MultipleBitrate720pWithCVQ
- H264MultipleBitrate1080pWithCVQ
- H265SingleBitrate720p
- H265SingleBitrate1080p
- H265SingleBitrate4K
- AACGoodQualityAudio
Errors
400 Bad Request
error object ErrorDetail Required
Pertinent information about the error
code string Required
The error code.
detail string Required
The error message.
extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code